%global momorel 2

Summary: nokii Synchronization Plug-In for OpenSync
Name: libopensync-plugin-gnokii
Version: 0.22
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.opensync.org/
Group: System Environment/Libraries
Source0: %{name}-%{version}.tar.bz2
Patch0: libopensync-plugin-gnokii-0.22-no-werror.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: bluez-libs
Requires: gnokii
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: bluez-libs-devel
BuildRequires: gnokii-devel
BuildRequires: libX11-devel
BuildRequires: libopensync-devel
BuildRequires: libtool
BuildRequires: pkgconfig

%description
This plug-in allows applications using OpenSync to synchronize to and
from Nokia cell phones which don't support SyncML. Based on gnokii
library.

Additionally install the libopensync package.

%prep
%setup -q
%patch0 -p1 -b .no-werror~

autoreconf -sfi

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la files
find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_libdir}/opensync/formats/gnokii.so
%{_libdir}/opensync/plugins/gnokii_sync.so
%{_datadir}/opensync/defaults/gnokii-sync

%changelog
* Mon Jul 16 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.22-2m)
- no -Werror

* Mon Jun 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22-1m)
- initial package for libopensync
- Summary and %%description are imported from opensuse
